{% extends 'base.html' %}

{% block content %}
<form action="/edit/{{todo.id}}?page= {{ page }}" method="post" enctype="multipart/form-data" id="edit_form">
    <div class="task">
        <h2>{{todo.title}}</h2>

    </div>
    <textarea name="description" rows="5">{{todo.description}}</textarea>
    <div class="date">
        <h4>Дата создания: </h4>
        <p class="pdate" name="data_of_create" rows="5"> {{todo.date_of_create}}</p>
        <br>
        <h4>Дата выполнения: </h4>
        <p class="pdate" name="data_of_create" rows="5"> {{todo.date_of_complete}}</p>
    </div>

    <div class="custom-select">
        <h4> Выберите тэг: </h4>
        <select class="select-css" name="tag">
            {% for tag in tags %}
            <option {% if todo.tag.value== tag.value %}
                    selected
                    {% endif %}
                    value={{ tag.name }}>
                {{ tag.value }}
            </option>
            {% endfor %}
        </select>
        <a class="tag_filter" href="/list?page={{ page }}&tag={{ todo.tag.value }}">Перейти по тэгу {{ todo.tag.value
            }}</a>
    </div>
    <br>

    <div>
    <label class="label" for="file">Выберите картинку</label>
    <br>
    <span class="variant_a">Из предложенных: </span>
    <select form="edit_form" name="choosing_file" id="file">
        <option value="empty">выбрать...</option>
        {% for path in loaded_images%}
        <option value={{path}}>{{path}}</option>
        {%endfor%}
    </select>
    <br>
    <label for="file">Или укажите файл: </label>
    <input class="input-btn" type="file" id="upload" name="file" accept=".jpg, .jpeg, .png">
    <br>
    <label for="file">Укажите файл с текстом: </label>
    <input class="input-btn" type="file" id="upload" name="file" accept=".txt">

    {% if todo.path_to_image %}
    <h4>Фото: </h4>
    <p class="figs"><img src={{ todo.path_to_image }} width="200" height="150" alt=""></p>
    {% endif %}
    <br>


    <label for="completed">Выполнено?</label>
    <input class="inputcheck" type="checkbox" name="completed" {% if todo.completed %}checked{% endif %}>
    <br>
    <button type="submit">Сохранить</button>
    </div>
</form>
{% endblock content %}
